using  System.Drawing;

namespace Icarus.Graphics.Animation
{
    public abstract class AbstractRenderable 
		: IRenderable
	{
        #region IRenderable
        public abstract System.Drawing.Size GetSize();
        public abstract void Render(System.Drawing.Rectangle destination, IRenderParameters parameters);
        #endregion

        public void Render(Point coordinates, IRenderParameters parameters)
		{
			this.Render(new Rectangle(coordinates, Size.Empty), parameters);
		}
	}
}
